## PeonyPropertyPageProvider

PeonyPropertyPageProvider — Interface to provide additional property pages

## Functions

GList * | peony_property_page_provider_get_pages ()

## Types and Values

| PeonyPropertyPageProvider
struct | PeonyPropertyPageProviderIface

## Object Hierarchy

        GInterface
        ╰── PeonyPropertyPageProvider

## Prerequisites

PeonyPropertyPageProvider requires GObject.

## Includes

    #include <libpeony-extension/peony-property-page-provider.h>

## Description

PeonyPropertyPageProvider allows extension to provide additional pages for the file properties dialog.

## Functions

### peony_property_page_provider_get_pages ()

    GList *
    peony_property_page_provider_get_pages
                                   (PeonyPropertyPageProvider *provider,
                                    GList *files);

This function is called by Peony when it wants property page items from the extension.

This function is called in the main thread before a property page is shown, so it should return quickly.

#### Parameters

provider | a PeonyPropertyPageProvider |
files | a GList of PeonyFileInfo. | [element-type PeonyFileInfo]

#### Returns

A GList of allocated PeonyPropertyPage items.

[element-type PeonyPropertyPage][transfer full]

## Types and Values

### PeonyPropertyPageProvider

    typedef struct _PeonyPropertyPageProvider PeonyPropertyPageProvider;

### struct PeonyPropertyPageProviderIface

    struct PeonyPropertyPageProviderIface {
        GTypeInterface g_iface;

        GList *(*get_pages) (PeonyPropertyPageProvider *provider,
                             GList                    *files);
    };

Interface for extensions to provide additional property pages.

#### Members

`get_pages` () | Returns a GList of PeonyPropertyPage. See `peony_property_page_provider_get_pages()` for details. |